You are not logged in.

#1 2021-03-18 14:00:23

dreieck
Member
Registered: 2012-10-08
Posts: 21

Warning of AUR-package "xz-static-git": It breaks the system fundament

Here I want to issue a big fat warning for the AUR-package "xz-static-git".

I have also submitted this as a comment in the package's comment section:

---

WARNING: Installing the package "xz-static-git" is DANGEROUS!!

  • It says that it provides `xz`; it also onflicts with `xz`. So when you install `xz-static-git`, `pacman` happily offers to replace `xz` by `xz-static-git`.

  • However, `xz-static-git` does _not_ provide the shared libraries provided by `xz`, thus essentially breaking any further package install: 
    A call to `pacman -S <something>` just fails with

    pacman: error while loading shared libraries: liblzma.so.5: cannot open shared object file: No such file or directory

So, this package must not list `xz` in the `provides`-array!

Please fix this as soon as possible.

Thanks for maintaining!

---

There is also no other `liblzma.so*` in `/usr/lib` which could be used for an emergency-symlink to switch back to `xz`.

To be able to get `xz` back I also could no just rebuild it as a dynamic library, because already the build process needs some commands which depend on `liblzma.so*` which is not present. I also could not download and manually exrtat Arch Linux or .deb-pakages, sine all the extraction tools need `liblzma.so.5`. Thanksfully, I could use OpenSuse RPM, since it is not compressed with `xz` and the graphial tool `xarchiver` could still fire up despite the lacking `liblzma.so.5` (`ark`, `tar` etc. failed).

Offline

#2 2021-03-18 14:08:50

Slithery
Forum Moderator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 4,235

Re: Warning of AUR-package "xz-static-git": It breaks the system fundament

Fire off an email to the mailing list...
aur-requests@lists.archlinux.org

That's usually the preferred method to make sure it gets seen by a TU quickly, there's no guarantee that one of them will be on the forums at the moment.


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#3 2021-03-18 16:15:46

dreieck
Member
Registered: 2012-10-08
Posts: 21

Re: Warning of AUR-package "xz-static-git": It breaks the system fundament

Slithery wrote:

Fire off an email to the mailing list...
aur-requests@lists.archlinux.org

Done.

Offline

#4 2021-03-18 16:18:57

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,415

Re: Warning of AUR-package "xz-static-git": It breaks the system fundament

This sometimes happens with development packages. I would say it's expected. If you replace low-level libraries, you'd better know what you're doing.

Offline

#5 2021-03-18 17:08:18

progandy
Member
Registered: 2012-05-17
Posts: 4,227

Re: Warning of AUR-package "xz-static-git": It breaks the system fundament

dreieck wrote:

To be able to get `xz` back I also could no just rebuild it as a dynamic library, because already the build process needs some commands which depend on `liblzma.so*` which is not present. I also could not download and manually exrtat Arch Linux or .deb-pakages, sine all the extraction tools need `liblzma.so.5`. Thanksfully, I could use OpenSuse RPM, since it is not compressed with `xz` and the graphial tool `xarchiver` could still fire up despite the lacking `liblzma.so.5` (`ark`, `tar` etc. failed).

That is one of the reasons pacman-static exists: https://aur.archlinux.org/packages/pacman-static
There are uncompressed and xz-compressed downloads available as well.


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

Board footer

Powered by FluxBB